# WebAuthnDemo
An example Java Relying Party implementation of the [WebAuthn
specification](https://w3c.github.io/webauthn/).

### Install
The demo is written on top of Google App Engine. Run
```sh
$ mvn appengine:devserver
```
for a local development server instance.

## intellij 設定
1. 首先確認intellij是 Ultimate版本, java JDK 8
2. [Cloud APIs](https://cloud.google.com/code/docs/intellij/create-standard) 先安裝
    1. 注意 使用 Cloud Trace API 可能要連接google才會顯示Enable API (裡面不管選哪一個project都可以)
    2. Cloud Pub/Sub也是
3. 前往 /File/Project Strcuture/Modules + 一個 google App Engine Standard
4. 前往 Edit Configuration 新增一個Google App Engine Standard Local Server
5. 前往 Tool/Cloud Code/App Engine/Run on a local App Engine Standard Dev Server
6. Artifact to deploy 一定要選擇 war檔案 否則一直都會是叉叉
7. 記得設定 [Add environment variables](https://cloud.google.com/code/docs/intellij/deploy-local)

## 各流程呼叫API順序
```
- 註冊
    1. BeginMakeCredential
    2. FinishMakeCredential
    3. RegisteredKeys

- 移除Credential
    1. RemoveCredential
    2. RegisteredKeys

- 登入
    1. BeginGetAssertion
    2. FinishGetAssertion
```